View user_profile data

GET /api/v1/user/profile/list/{id}

Operation id: get__api_v1_user_profile_list_id_

Description

Lists all UserProfileDTO from the user_profile table

Tags: UserProfile

Parameters

Path parameters

NameTypeRequiredDescription
idintegerYesid of existing UserProfile record

Query parameters

NameTypeRequiredDescription
tenant_idstringYestenant ID

Security

  • PhoenixToken-Authorization (apiKey)
    • PhoenixToken-Authorization

Responses

200 — OK

Content type: application/json

400 — Bad Request

Content type: application/json

500 — Internal Server Error

Content type: application/json

Response models

200 — OK

Content type: application/json

Schema

PropertyTypeRequiredDescription
is_tenantbooleanNo
regionsarrayNo
sitesarrayNo
user_profileobjectNo
usersarrayNo
{
  "type": "object",
  "properties": {
    "is_tenant": {
      "type": "boolean"
    },
    "regions": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "created_at": {
            "type": "string"
          },
          "customer_id": {
            "type": "integer"
          },
          "deleted": {
            "type": "boolean"
          },
          "description": {
            "type": "string"
          },
          "display_name": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "id": {
            "type": "integer"
          },
          "name": {
            "type": "string"
          },
          "parent": {
            "type": "integer"
          },
          "part": {
            "type": "integer"
          },
          "profile": {
            "type": "string"
          },
          "site_type": {
            "type": "integer"
          },
          "updated_at": {
            "type": "string"
          }
        }
      }
    },
    "sites": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "created_at": {
            "type": "string"
          },
          "customer_id": {
            "type": "integer"
          },
          "deleted": {
            "type": "boolean"
          },
          "description": {
            "type": "string"
          },
          "display_name": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          },
          "id": {
            "type": "integer"
          },
          "name": {
            "type": "string"
          },
          "parent": {
            "type": "integer"
          },
          "part": {
            "type": "integer"
          },
          "profile": {
            "type": "string"
          },
          "site_type": {
            "type": "integer"
          },
          "updated_at": {
            "type": "string"
          }
        }
      }
    },
    "user_profile": {
      "type": "object",
      "properties": {
        "customer_id": {
          "type": "integer"
        },
        "id": {
          "type": "integer"
        },
        "name": {
          "type": "string"
        },
        "value": {
          "type": "array",
          "items": {
            "type": "integer"
          }
        }
      }
    },
    "users": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "alias": {
            "type": "string"
          },
          "created_at": {
            "type": "string"
          },
          "customer_id": {
            "type": "integer"
          },
          "deleted": {
            "type": "boolean"
          },
          "email": {
            "type": "string"
          },
          "firstname": {
            "type": "string"
          },
          "id": {
            "type": "integer"
          },
          "language": {
            "type": "string"
          },
          "lastname": {
            "type": "string"
          },
          "oauthname": {
            "type": "string"
          },
          "phone": {
            "type": "string"
          },
          "photo": {
            "type": "string"
          },
          "platform_user_id": {
            "type": "string"
          },
          "profile": {
            "type": "string"
          },
          "shared_secret": {
            "type": "string"
          },
          "site_id": {
            "type": "integer"
          },
          "updated_at": {
            "type": "string"
          },
          "user_type": {
            "type": "integer"
          },
          "userlogin": {
            "type": "string"
          }
        }
      }
    }
  }
}

400 — Bad Request

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}

500 — Internal Server Error

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeintegerNo
messagestringNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "example": 0
    },
    "message": {
      "type": "string",
      "example": "Success"
    }
  }
}